/*---------------------------------------------------------------------------\
| Project:	Generic LV2 PIC18F458 CAN node firmware
|
| File:		ports.h
|
| Descr.:	Includes for the ports.c module
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 06/01/2002 | Created.
\---------------------------------------------------------------------------*/

#ifndef _PORTS_H	// Don't include more than once (last line = #endif)
#define _PORTS_H

//------------------------------------------------------------------------
// Typedefs
//------------------------------------------------------------------------


// None


//------------------------------------------------------------------------
// #defines
//------------------------------------------------------------------------

#define ClearInt0Interrupt()	INT0IF = 0
#define ClearInt1Interrupt()	INT1IF = 0


//------------------------------------------------------------------------
// Function declarations
//------------------------------------------------------------------------


void 	InitializePorts (void);
void	Int0Isr (void);
void	Int1Isr (void);



//------------------------------------------------------------------------
// Module-wide variable declarations
//------------------------------------------------------------------------


// None





#endif    			// _PORTS_H


